Easy fix?: No Copied to github as #: 19003

Description

It would be useful to optionally show (e.g. with a red square) the bookmarks available in a project.

History

#1 - 2014-06-16 03:03 AM - Jürgen Fischer

Where?

#2 - 2014-06-16 03:03 AM - Nathan Woodrow

- Target version set to Future Release - Nice to have

In the canvas I am guessing.

#3 - 2014-06-16 09:47 AM - Paolo Cavallini

Yes

#4 - 2014-06-18 07:34 AM - Richard Duivenvoorde

I think it would be nice to do some discussion/redesign about this.

my wishlist:

- in my view it is not needed to have ctrl-B and shift-ctrl-B as they do almost the same thing: opening the dialog

Within the open dialog it is easy to click "new bookmark). I now often end up with a bookmark just because I open it with the wrong keyboard shortcut. This

will also create some menu-space.

- maybe we could hide the 'ID' column, and maybe add a EPSG OR change the SRID column to EPSG?

- an option to search in the bookmars (filter model) would be great

- an option to save the project related bookmarks in the .qgs file would be cool (for workshops, because passing a project/data zip then would also give

them the bookmarks of the project). Otherwise maybe save as a bookmark file?

- the option that pcav says (maybe as a button in the dialog: show/hide)

- etc.

2024-03-13 1/2



#5 - 2017-05-01 12:47 AM - Giovanni Manghi

- Easy fix? set to No

#6 - 2018-02-25 06:25 PM - Paolo Cavallini

Still unimplemented in QGIS 3
